import { OnChanges, OnDestroy, SimpleChanges } from '@angular/core';
import { FormGroup, FormGroupDirective } from '@angular/forms';
import { StoreFormsService } from './store-forms.service';
import { Store } from '@ngrx/store';
export declare class BindingDirective implements OnDestroy, OnChanges {
    private formGroupDirective;
    private store;
    private storeFormsService;
    rxsfBinding: string;
    formGroup: FormGroup;
    constructor(formGroupDirective: FormGroupDirective, store: Store<any>, storeFormsService: StoreFormsService);
    ngOnChanges(changes: SimpleChanges): void;
    ngOnDestroy(): void;
}
