import { AbstractControl, ValidationErrors } from '@angular/forms';
import { ErrorMessages, FormControlState, FormGroupState, ErrorResolver, StoreFormsConfig } from './store-forms.model';
export declare function deepGet(object: any, path: string, throwOnMiss?: boolean): any;
export declare function getEffectiveConfig(userConfig: StoreFormsConfig): {
    bindingStrategy?: import("ngrx-store-forms/lib/store-forms.model").StoreFormsBindingStrategy;
    errorMessages?: ErrorMessages;
    debounce?: number;
};
export declare function deepEquals(x: any, y: any): boolean;
export declare function getFormState<F>(control: AbstractControl, errorResolver: ErrorResolver, path?: string[]): FormGroupState<F> | FormControlState;
export declare function resolveErrors(errors: ValidationErrors, path: string[], errorMessages?: ErrorMessages, pathPrefix?: string[]): string[] | null;
