import { Action } from '@ngrx/store';
import { FormGroupState } from './store-forms.model';
export declare class UpdateStoreFormStateAction<F = any> implements Action {
    readonly path: string;
    readonly formState: FormGroupState<F>;
    readonly type: string;
    constructor(path: string, formState: FormGroupState<F>);
}
export declare class UpdateStoreFormAction<F = any> implements Action {
    readonly path: string;
    readonly value: F;
    readonly type: string;
    constructor(path: string, value: F);
}
export declare class StoreFormsNoopAction implements Action {
    readonly type: string;
}
